=begin
adds a context menu to select only faces, edges etc
=end
require 'sketchup.rb'
module Select_Only
  def Select_Only::contains_edge
    ss=Sketchup.active_model.selection
    ss.each{|e|return true if e.class==Sketchup::Edge}
  end#def
  def Select_Only::contains_face
    ss=Sketchup.active_model.selection
    ss.each{|e|return true if e.class==Sketchup::Face}
  end#def
  def Select_Only::only_edges
    ss=Sketchup.active_model.selection
    sa=ss.to_a
    ss.clear
    sa.each{|e|ss.add(e)if e.class==Sketchup::Edge}
  end#def
  def Select_Only::only_faces
    ss=Sketchup.active_model.selection
    sa=ss.to_a
    ss.clear
    sa.each{|e|ss.add(e)if e.class==Sketchup::Face}
  end#def
end
if not file_loaded?(File.basename(__FILE__))
  UI.add_context_menu_handler do |menu|
    menu.add_item("<<< Select ONLY Edges"){Select_Only::only_edges}if Select_Only::contains_edge
    menu.add_item("<<< Select ONLY Faces"){Select_Only::only_faces}if Select_Only::contains_face
  end#do
end#if
file_loaded(File.basename(__FILE__))
